summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkuzetsa <kuzetsa@gmail.com>2017-04-13 15:00:34 -0400
committerGöktürk Yüksek <gokturk@gentoo.org>2017-04-13 15:36:47 -0400
commit253599b36377d2584ba2b0065668d8082c7ff068 (patch)
tree6ba80d14a45fe194f4e4d47250cd7cd07b411390 /sys-kernel
parentmedia-gfx/freecad: fix wrong path declared as S. (diff)
downloadgentoo-253599b36377d2584ba2b0065668d8082c7ff068.tar.gz
gentoo-253599b36377d2584ba2b0065668d8082c7ff068.tar.bz2
gentoo-253599b36377d2584ba2b0065668d8082c7ff068.zip
sys-kernel/ck-sources: v.bump (4.9.22 & 4.10.10)
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'sys-kernel')
-rw-r--r--sys-kernel/ck-sources/Manifest6
-rw-r--r--sys-kernel/ck-sources/ck-sources-4.10.10.ebuild60
-rw-r--r--sys-kernel/ck-sources/ck-sources-4.9.22.ebuild96
3 files changed, 162 insertions, 0 deletions
diff --git a/sys-kernel/ck-sources/Manifest b/sys-kernel/ck-sources/Manifest
index 169804720c6..d205b411d43 100644
--- a/sys-kernel/ck-sources/Manifest
+++ b/sys-kernel/ck-sources/Manifest
@@ -3,6 +3,9 @@ DIST deblob-4.10 147144 SHA256 7159e505f724ec05a98d6009a254fe70423a0e46f6db0007d
DIST deblob-4.9 146273 SHA256 af4214b851928a53ef470ed8729122b9db910a6c0769d5d46a5de0b3e96f74f3 SHA512 3654b28e72b343bafdb38de10ef0c3621db0539bc0e7434bc99bb8f8ed911d4c9e53ca4785fd193fcfec369328f014fa5c6f3bda51b6f1a8f98b8c37ece119a6 WHIRLPOOL 7b5ddba1469b6515d03d2e0e91a643ab0252803fde271ca710978186582a2f1a3b01deab9718c194bcdae0a79887636b6e98e604305402c9051b15a89fd393df
DIST deblob-check-4.10 726421 SHA256 6180718845e933e94a0f285aa20b94d3b6492ecfe3ea78dc1b5b43285b504cf6 SHA512 cbf319186e6fc9941ed650b0dbeefc796a447188a87548cd96043c8045136f7792be5548524cad294667a51c98cbc02bf80660d6207424c6fb64df783ede0c1e WHIRLPOOL 341343d4469403e776c6cee027acd6aef88edef312da754aa2063f9b174674d541e8f0c3bae1435292ecb7d86394e5738427b3f526ead7c4078c39d0c31acbbd
DIST deblob-check-4.9 717834 SHA256 4599c6eabd53bb352e9b536d574152e72467548add19757fc6b8e34355928d6b SHA512 46258698f1c574b44a8c5c78cc2b7fdbaca746976266974ee0f6787904531754b17ad15d542b68e07d4633ee91a8e2d9c32a991ea214292ac072c4f26deed9c9 WHIRLPOOL f1afe1f8d8bcd6fc43a01da5eb012d117687418f049212fe20fe7ea88700c482bc6fd3e917102ff9d12baf11e678a40355877a7d214da8b3cbf2b585a51a012e
+DIST genpatches-4.10-10.base.tar.xz 243056 SHA256 eb8ad6a24d6d5e1917256e12cdc471f58347288da5e1ac652f0b5254ef8cb0a9 SHA512 3a3266edcca74ffb8c840fc4bba5e6a3d0b5bdae3e3d891d58344de9c569d1028fdd8d37c8b02b36d2f93034d46a070f4f4196ef0706a48254ceb7de91a4878d WHIRLPOOL d442ada52d7a7f1cf7bca3c64594fb2a0be6ac07b2642b2b09cab3c240d3f005bf557302dd8a6bfdadd51d59fd7eb2190691b8b79fe082c9459ce40312a7b1a8
+DIST genpatches-4.10-10.experimental.tar.xz 105428 SHA256 632629a8dbf3732c1d2c32a8143e4ca3bb37554d0ee7199d4f3509b419670120 SHA512 2068f54ccbd9f6a4d3cbc85071dadcfed5a506604c78bf5e315222be3b4234e3a7ef2695697b368fd9ab9945182e6a6962aea8db30169f212f7fac6f5b76f4fa WHIRLPOOL 04f3ac4727634344a9e131b48b278fd7f0b64eedaac3885ca5961a0855e4bb6e0d031089ff516fad6a19805636596a2d59c65fbbc4002e669e83406bbca900f7
+DIST genpatches-4.10-10.extras.tar.xz 17348 SHA256 b142e0749fc85818dbd9a2b786adb4a5942026049227531799b37efb42b613bc SHA512 503af5fc482b277a16a87e3ecfda21c64346b53f38fe7f56a7c8c6adb375527dacde81cef68b84de177ed30914fb2e7b326bdc9b0a68c95e87b3d399a3ca9ef0 WHIRLPOOL 1c74aaf61e2e785adc100e86692a11503ae74fd263c4ea0536ec29691f01f2f3fa0d845723c26352a1ff1cd8901e9b9399449b8a7578dcb818fc010cc0d9d93b
DIST genpatches-4.10-4.base.tar.xz 98432 SHA256 52901b9dbba814de20962cd90efcc0036730d349bc3c9d8acccf22338a0913ab SHA512 4e75f8ce8f3a143c50d7d08ca1a7aa3a76a2b6bd38d015b691286d885c514d8f118a66deca61cb85e07bcbe38efed51b1b4bcba3530429aee8c0205398352c32 WHIRLPOOL d425dcec43d29d0041fb1e6e7d1a8391c53806e50ff9cd8f971b4b5e741679bd1b6ef843be0de894987e4a1d909a2c19ffac7839769932eaa7359675765a7b85
DIST genpatches-4.10-4.experimental.tar.xz 104588 SHA256 9d5c178123d311802793bd696fd521eb852a1cb660d14aaf3703b7ea814e433c SHA512 f15e876d306ac7d574071f07971aabe02ffeec91e7349cc3d403180212fcab6e42c207ece65c4929c5768d1bbb1c90002347aee27e85b214f7f631b7fc164cfe WHIRLPOOL d6fb36d95eb17c1d2a07dd41bb65fb9cd13e0c8c793787d4735fd49a756de6b929fc627c4419e34c627bb3d38a5d1931a960c3210915394c222763e70943ff41
DIST genpatches-4.10-4.extras.tar.xz 17348 SHA256 64167f17f122f969476bf68a3e0493a77d7ae9e78087c2748cdfdc6e6186af2a SHA512 dcbdea379a0e28e9b8ed08b32ee71a36ce9ccc817e5b79f38759031e3324441f3e91e6b7e2802d1a694574bb4ce9e8f441d88ccbbd9280b3a4456eadab7d5fec WHIRLPOOL 1d3ba61d03d17a707a65423e85f7f3a235a9d39fb26e4602b5cf663e097dc9e8618380d7a54db60705e6b38e9c0674330df57a6e243c7215411275a489ab8b42
@@ -39,6 +42,9 @@ DIST genpatches-4.9-21.extras.tar.xz 17348 SHA256 3444b846c3232541152db3bb2d9ff5
DIST genpatches-4.9-22.base.tar.xz 483488 SHA256 f03fb7d8d0451e7bd7b1a4917fa653d0a9fad4cd0aaf6b87af0bb7bb3531fbc1 SHA512 0010b5d5a44efa96047b7c2d1c76ebbb74a08051f76518a4f86165e8021634acccc3b1c25b68f94d82faa7c46208c06d7c81d0543a6112e88a30506d8eff72e7 WHIRLPOOL a7ef61db7b96721949c75f4bf4219e29866ddc8f2a59c96670e62694eeeca04cdfc6629a65515bba8b2f709b6a925696ba4409ad18caec942e8fea9c02c0296e
DIST genpatches-4.9-22.experimental.tar.xz 106416 SHA256 3e371c122ca3a0ef8ad649d193c743cc4d2100c7982dee50f0c763c43808566f SHA512 86cf2e2ac6584b7de2a55780e84984fe9d7c67ac5f00b6e7f31b327ae9275a558d8c5e4ae35b34d948d4edad4f27f0ffd12bbe843add295f1cd1d9c2a025ccc7 WHIRLPOOL d2d2d4c9e1e315702db21a1b95b0259fc0efda1e7051bdcf9291ad61bb90bfd76d67ffbb0a5ef5c854111e7354464e765989def71fccdeb90663a91c5cd2c429
DIST genpatches-4.9-22.extras.tar.xz 17356 SHA256 1452a339e59ada15d94697b0d00a9a61dda808ed9b74d342880cf1ab89d57d6a SHA512 50e4ab1b452b8289f665e3d2749cafb9cdfc4c5a43ef0002163cd4ebd01798b6fd21d20299e6880fb3e8b8dbf859fe2697e1a9fc82257b73d7a1aad7e940d5a7 WHIRLPOOL 0d526f7f10af12b5f02f6ccf519f51e9906e3389263d1d9d7d28b4293081a10de6ac28b2718551c82be8d875bbfa36e478843847f874a835effd540a52f7f9bf
+DIST genpatches-4.9-23.base.tar.xz 527264 SHA256 8a7fa696395333d94bf577b3ebb8b3cbfaa9179ff529dd91028175e6f6fc0848 SHA512 7270df0aa2e5cb56ebca8c86c40be1340023e4c1d2af59b1f55eb2f34b4e491a96b88da642f58e12532cb034037c223eacfcbcfe12df8c65fab7786499ec07f2 WHIRLPOOL 73f9b2c0e69a13de4aa685c7682ed178fc10ca111a7e8f9d55a7f8f904bcf66ca59c6444dfb739b45693385215b3f7ecd100310dfcf2b50e7ab6763f1d929abe
+DIST genpatches-4.9-23.experimental.tar.xz 106388 SHA256 4bbf6de09786e7e0ade972ef2ffc5520955c97ba8cb97dbb369ba782b429c74c SHA512 c36370448bb952fe0a4205e37848a1b4f10ea467afb0bade0a30181a4f40a0e3cc3ee2daf986df815a00d3ee464e4f4506496abd9da1fac2b276af135d2fe461 WHIRLPOOL d0c2db4ec6f4b695be759b4e8f6e152370fea69dd44a346805a097a2ddc748cac6717dcb7ee34e6de30fd71de2b457cf7277f73c399e10861b5bd31deda3903a
+DIST genpatches-4.9-23.extras.tar.xz 17348 SHA256 b142e0749fc85818dbd9a2b786adb4a5942026049227531799b37efb42b613bc SHA512 503af5fc482b277a16a87e3ecfda21c64346b53f38fe7f56a7c8c6adb375527dacde81cef68b84de177ed30914fb2e7b326bdc9b0a68c95e87b3d399a3ca9ef0 WHIRLPOOL 1c74aaf61e2e785adc100e86692a11503ae74fd263c4ea0536ec29691f01f2f3fa0d845723c26352a1ff1cd8901e9b9399449b8a7578dcb818fc010cc0d9d93b
DIST linux-4.10.tar.xz 94231404 SHA256 3c95d9f049bd085e5c346d2c77f063b8425f191460fcd3ae9fe7e94e0477dc4b SHA512 c3690125a8402df638095bd98a613fcf1a257b81de7611c84711d315cd11e2634ab4636302b3742aedf1e3ba9ce0fea53fe8c7d48e37865d8ee5db3565220d90 WHIRLPOOL 86d021bae2dbfc4ef80c22d9e886bed4fbd9476473a2851d7beaf8ed0c7f7fbc1fa0da230eb9e763eb231b7c164c17b2a73fd336ab233543f57be280d6173738
DIST linux-4.9.tar.xz 93192404 SHA256 029098dcffab74875e086ae970e3828456838da6e0ba22ce3f64ef764f3d7f1a SHA512 bf67ff812cc3cb7e5059e82cc5db0d9a7c5637f7ed9a42e4730c715bf7047c81ed3a571225f92a33ef0b6d65f35595bc32d773356646df2627da55e9bc7f1f1a WHIRLPOOL 072505b29972ad120eb25a074217847c9c2813416c4903e605a0433574f5f87616dbea0b1454e4b19acc48107f11274b682958b1d773373156e99f8163e6606a
DIST patch-4.10-ck1.xz 154200 SHA256 1913eeb921bbef3733b53f4004a3013289fa85a26409610bb14fcff3bbd7ef72 SHA512 b998cfe44b5bd89b362fe299ae799cd5caceef5114b954fbf10be0553c21234a949417459f848e75b029a4089760aafe212efadddd8c2d65d054c0d367fc7816 WHIRLPOOL 2056718b1b1e1b8bccfbe5fcafd01d24179fae05653fac3e7553b4dab38789f694a050990e8e99ea38c4f9074ab339640980d433bdd411c0deb84f7bd698ab10
diff --git a/sys-kernel/ck-sources/ck-sources-4.10.10.ebuild b/sys-kernel/ck-sources/ck-sources-4.10.10.ebuild
new file mode 100644
index 00000000000..902c294eb73
--- /dev/null
+++ b/sys-kernel/ck-sources/ck-sources-4.10.10.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+ETYPE="sources"
+KEYWORDS="~amd64 ~x86"
+
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches/
+ http://users.tpg.com.au/ckolivas/kernel/"
+
+K_WANT_GENPATCHES="base extras experimental"
+K_EXP_GENPATCHES_PULL="1"
+K_EXP_GENPATCHES_NOUSE="1"
+K_GENPATCHES_VER="10"
+K_SECURITY_UNSUPPORTED="1"
+K_DEBLOB_AVAILABLE="1"
+
+PYTHON_COMPAT=( python2_7 )
+inherit python-any-r1 kernel-2
+detect_version
+detect_arch
+
+DEPEND="deblob? ( ${PYTHON_DEPS} )"
+
+K_BRANCH_ID="${KV_MAJOR}.${KV_MINOR}"
+
+DESCRIPTION="Con Kolivas' high performance patchset and Gentoo's genpatches for Linux ${K_BRANCH_ID}"
+
+CK_VERSION="1"
+
+CK_FILE="patch-${K_BRANCH_ID}-ck${CK_VERSION}.xz"
+
+CK_BASE_URL="http://ck.kolivas.org/patches/4.0"
+CK_LVER_URL="${CK_BASE_URL}/${K_BRANCH_ID}/${K_BRANCH_ID}-ck${CK_VERSION}"
+CK_URI="${CK_LVER_URL}/${CK_FILE}"
+
+SRC_URI="${KERNEL_URI} ${GENPATCHES_URI} ${ARCH_URI} ${CK_URI}"
+
+UNIPATCH_LIST="${DISTDIR}/${CK_FILE}"
+UNIPATCH_STRICTORDER="yes"
+
+# ck-patches already includes BFQ (similar version as genpatches "experimental" USE flag)
+# what's not included is: "additional cpu optimizations" (5010) from genpatches experimental
+
+K_EXP_GENPATCHES_LIST="5010_*.patch*"
+
+pkg_setup() {
+ use deblob && python-any-r1_pkg_setup
+ kernel-2_pkg_setup
+}
+
+src_prepare() {
+
+#-- Comment out CK's EXTRAVERSION in Makefile ---------------------------------
+
+ # linux-info eclass cannot handle recursively expanded variables in Makefile #490328
+ sed -i -e 's/\(^EXTRAVERSION :=.*$\)/# \1/' "${S}/Makefile" || die
+
+ kernel-2_src_prepare
+}
diff --git a/sys-kernel/ck-sources/ck-sources-4.9.22.ebuild b/sys-kernel/ck-sources/ck-sources-4.9.22.ebuild
new file mode 100644
index 00000000000..05daccc3b6b
--- /dev/null
+++ b/sys-kernel/ck-sources/ck-sources-4.9.22.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+ETYPE="sources"
+KEYWORDS="~amd64 ~x86"
+
+HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches/
+ http://users.tpg.com.au/ckolivas/kernel/"
+
+K_WANT_GENPATCHES="base extras experimental"
+K_EXP_GENPATCHES_PULL="1"
+K_EXP_GENPATCHES_NOUSE="1"
+K_GENPATCHES_VER="23"
+K_SECURITY_UNSUPPORTED="1"
+K_DEBLOB_AVAILABLE="1"
+
+PYTHON_COMPAT=( python2_7 )
+inherit python-any-r1 kernel-2
+detect_version
+detect_arch
+
+DEPEND="deblob? ( ${PYTHON_DEPS} )"
+
+K_BRANCH_ID="${KV_MAJOR}.${KV_MINOR}"
+
+DESCRIPTION="Con Kolivas' high performance patchset and Gentoo's genpatches for Linux ${K_BRANCH_ID}"
+
+#-- If Gentoo-Sources don't follow then extra incremental patches are needed -
+
+XTRA_INCP_MIN=""
+XTRA_INCP_MAX=""
+
+#--
+
+CK_VERSION="1"
+
+CK_FILE="patch-${K_BRANCH_ID}-ck${CK_VERSION}.xz"
+
+CK_BASE_URL="http://ck.kolivas.org/patches/4.0"
+CK_LVER_URL="${CK_BASE_URL}/${K_BRANCH_ID}/${K_BRANCH_ID}-ck${CK_VERSION}"
+CK_URI="${CK_LVER_URL}/${CK_FILE}"
+
+# solves bug #606866 (Fix build for CONFIG_FREEZER disabled.x)
+FRZR_HASH="7de569950716147ed436b27936628ee3ab5b45cc"
+FRZR_FILE="${PN}-4.9-freezer-fix.patch"
+FRZR_URI="https://github.com/ckolivas/linux/commit/${FRZR_HASH}.patch -> ${FRZR_FILE}"
+
+#-- Build extra incremental patches list --------------------------------------
+
+LX_INCP_URI=""
+LX_INCP_LIST=""
+if [ -n "${XTRA_INCP_MIN}" ]; then
+ LX_INCP_URL="${KERNEL_BASE_URI}/incr"
+ for i in `seq ${XTRA_INCP_MIN} ${XTRA_INCP_MAX}`; do
+ LX_INCP[i]="patch-${K_BRANCH_ID}.${i}-$(($i+1)).bz2"
+ LX_INCP_URI="${LX_INCP_URI} ${LX_INCP_URL}/${LX_INCP[i]}"
+ LX_INCP_LIST="${LX_INCP_LIST} ${DISTDIR}/${LX_INCP[i]}"
+ done
+fi
+
+#-- CK needs sometimes to patch itself... ---------------------------
+
+CK_INCP_URI=""
+CK_INCP_LIST=""
+
+#-- Local patches needed for the ck-patches to apply smoothly -------
+
+PRE_CK_FIX=""
+POST_CK_FIX=""
+
+#--
+
+SRC_URI="${KERNEL_URI} ${LX_INCP_URI} ${GENPATCHES_URI} ${ARCH_URI} ${CK_INCP_URI} ${CK_URI} ${FRZR_URI}"
+
+UNIPATCH_LIST="${LX_INCP_LIST} ${PRE_CK_FIX} ${DISTDIR}/${CK_FILE} ${CK_INCP_LIST} ${POST_CK_FIX} ${DISTDIR}/${FRZR_FILE}"
+UNIPATCH_STRICTORDER="yes"
+
+#-- Starting with 4.8, CK patches include BFQ, so exclude genpatches experimental BFQ patches -
+
+K_EXP_GENPATCHES_LIST="5010_*.patch*"
+
+pkg_setup() {
+ use deblob && python-any-r1_pkg_setup
+ kernel-2_pkg_setup
+}
+
+src_prepare() {
+
+#-- Comment out CK's EXTRAVERSION in Makefile ---------------------------------
+
+ # linux-info eclass cannot handle recursively expanded variables in Makefile #490328
+ sed -i -e 's/\(^EXTRAVERSION :=.*$\)/# \1/' "${S}/Makefile" || die
+
+ kernel-2_src_prepare
+}